All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH 0/1] Perfet file LSB_Setup.sh to set up lsb test environment automatically
@ 2011-03-04 11:12 Xiaofeng Yan
  2011-03-04 11:12 ` [PATCH 1/1] LSB_Setup.sh:Install LSB Test Suite and set lsb test environment Xiaofeng Yan
  0 siblings, 1 reply; 2+ messages in thread
From: Xiaofeng Yan @ 2011-03-04 11:12 UTC (permalink / raw)
  To: poky

From: Xiaofeng Yan <xiaofeng.yan@windriver.com>

I modify this file to set up lsb test environment on more platfrom automatically for yocto 1.0 passing lsb test.

Pull URL: git://git.pokylinux.org/poky-contrib.git
  Branch: xiaofeng/distro
  Browse: http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=xiaofeng/distro

Thanks,
    Xiaofeng Yan <xiaofeng.yan@windriver.com>
---


Xiaofeng Yan (1):
  LSB_Setup.sh:Install LSB Test Suite and set lsb test environment

 meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)



^ permalink raw reply	[flat|nested] 2+ messages in thread

* [PATCH 1/1] LSB_Setup.sh:Install LSB Test Suite and set lsb test environment
  2011-03-04 11:12 [PATCH 0/1] Perfet file LSB_Setup.sh to set up lsb test environment automatically Xiaofeng Yan
@ 2011-03-04 11:12 ` Xiaofeng Yan
  0 siblings, 0 replies; 2+ messages in thread
From: Xiaofeng Yan @ 2011-03-04 11:12 UTC (permalink / raw)
  To: poky

From: Xiaofeng Yan <xiaofeng.yan@windriver.com>

Perfect some funtions for lsb test in yocto 1.0

Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com>
---
 meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh b/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh
index 4bf7686..78c33b3 100644
--- a/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh
+++ b/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh
@@ -21,7 +21,7 @@
 if [ ! -f /opt/lsb/test/manager/bin/dist-checker-start.pl ]
 then
         if [ -d /lsb-dist-testkit ];then
-                cd /lsb-dist-testkit && sh install.sh
+                cd /lsb-dist-testkit && sh install.sh && cd ../lsb-Application && rpm -ivh *.rpm --nodeps --force
         else 
                 echo "Please install the realted LSB Packages"
                 exit 1
@@ -42,7 +42,7 @@ yes|y)
         if [ $? -eq 0 ] || [ $? -eq 6 ]
         then
                 echo "Success to delete user tester"
-        else
+       else
                 echo "Fail to delete user tester"
         fi
         ;;
@@ -177,21 +177,21 @@ ping -c 5 ftp.linux-foundation.org
 check
 
 #Step 7
-if [ -f /lib/modules/*-wr-standard/kernel/drivers/block/loop.ko ];then
-	inmod /lib/modules/*-wr-standard/kernel/drivers/block/loop.ko
+insmod /lib/modules/2.6.37.2-yocto-standard\+/kernel/drivers/block/loop.ko
+if [ $? != 0 ];then
+	echo "Please insmod loop.ko  manully"
 fi
-
 #Step 8
 echo ""
 if [ -f /opt/lsb/test/manager/bin/dist-checker-start.pl ];then
-        ./opt/lsb/test/manager/bin/dist-checker-start.pl
+        /opt/lsb/test/manager/bin/dist-checker-start.pl
 fi
 
-
 #Step 9 get ip address for target platform
-addr=`ifconfig eth0 | grep "inet addr" | awk -F: '{print $2}'|sed s/[[:space:]]Bcast//g`
-echo -e "you should input ${addr}:8888 on your browse"
-#Step 8
+addr=`ifconfig eth0 | grep "inet addr" | awk -F: '{print $2}'|sed s/[[:space:]][[:space:]]Bcast//g`
+echo -e "you should input ${addr}:8888 on your browser"
+
+#Step 10
 echo "Done!!"
 
 ###End
-- 
1.7.0.4



^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2011-03-04 11:13 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-03-04 11:12 [PATCH 0/1] Perfet file LSB_Setup.sh to set up lsb test environment automatically Xiaofeng Yan
2011-03-04 11:12 ` [PATCH 1/1] LSB_Setup.sh:Install LSB Test Suite and set lsb test environment Xiaofeng Yan

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.